using System.Runtime.Serialization;
using SqlSugar;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 异常监控编码对应表
    /// </summary>
    [SugarTable("BaseCode"), TenantAttribute("mes")]
    [DataContract(Name = "BaseCode 基础表")]
    public class BaseCode
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "code")]
        public string Code { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "state")]
        public string  State { get; set; }
        
        
        /// <summary>
        ///  1 RFid 2 视觉
        ///</summary>
        [SugarColumn(ColumnName = "category")]
        public int  Category { get; set; }
        
    }
}